--- base/message_loop.cc
+++ base/message_loop.cc
@@ -20,7 +20,7 @@
 #include "base/message_pump_libevent.h"
 #include "base/third_party/valgrind/valgrind.h"
 #endif
-#if defined(OS_LINUX)
+#if defined(USE_X11)
 #include "base/message_pump_glib.h"
 #endif
 
@@ -99,9 +99,9 @@ MessageLoop::MessageLoop(Type type)
   if (type_ == TYPE_UI) {
 #if defined(OS_MACOSX)
     pump_ = base::MessagePumpMac::Create();
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
     pump_ = new base::MessagePumpForUI();
-#endif  // OS_LINUX
+#endif  // USE_X11
   } else if (type_ == TYPE_IO) {
     pump_ = new base::MessagePumpLibevent();
   } else {
@@ -194,7 +194,7 @@ void MessageLoop::RunInternal() {
 
   StartHistogrammer();
 
-#if defined(OS_WIN) || defined(OS_LINUX)
+#if defined(OS_WIN) || defined(USE_X11)
   if (state_->dispatcher && type() == TYPE_UI) {
     static_cast<base::MessagePumpForUI*>(pump_.get())->
         RunWithDispatcher(this, state_->dispatcher);
@@ -487,7 +487,7 @@ MessageLoop::AutoRunState::AutoRunState(MessageLoop* loop) : loop_(loop) {
 
   // Initialize the other fields:
   quit_received = false;
-#if defined(OS_WIN) || defined(OS_LINUX)
+#if defined(OS_WIN) || defined(USE_X11)
   dispatcher = NULL;
 #endif
 }
@@ -590,7 +590,7 @@ void MessageLoopForUI::PumpOutPendingPaintMessages() {
 
 #endif  // defined(OS_WIN)
 
-#if defined(OS_LINUX) || defined(OS_WIN)
+#if defined(USE_X11) || defined(OS_WIN)
 void MessageLoopForUI::AddObserver(Observer* observer) {
   pump_ui()->AddObserver(observer);
 }
@@ -604,7 +604,7 @@ void MessageLoopForUI::Run(Dispatcher* dispatcher) {
   state_->dispatcher = dispatcher;
   RunHandler();
 }
-#endif  // defined(OS_LINUX) || defined(OS_WIN)
+#endif  // defined(USE_X11) || defined(OS_WIN)
 
 //------------------------------------------------------------------------------
 // MessageLoopForIO
diff --git base/message_loop.h base/message_loop.h
index ff4531c..59f6321 100644
